Page MenuHomePhabricator

Invalid conversion for external links containing ] in the description
Closed, ResolvedPublic

Description

Using the visual editor, create a new external link and add a description containing the character ] (such as "a [b] c"). When saving the page, the generated wikitext is [http://link a [b] c], which of course means the link ends after 'b'.

This is a classic wikitext issue, the usual workaroud is to use ] instead of ].

Event Timeline

Strainu created this task.Apr 21 2016, 10:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2016, 10:39 AM

This is a bug in the wikitext escaping code in the html -> wt pass.

ssastry triaged this task as Medium priority.Apr 26 2016, 3:32 PM
ssastry added a project: Parsoid-Serializer.
ssastry moved this task from Backlog to Next Up on the Parsoid board.Aug 31 2016, 10:04 PM

Change 344632 had a related patch set uploaded (by Arlolra):
[mediawiki/services/parsoid@master] T133267: Escape extlink content when containing ] anywhere

https://gerrit.wikimedia.org/r/344632

Change 344632 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T133267: Escape extlink content when containing ] anywhere

https://gerrit.wikimedia.org/r/344632

Arlolra closed this task as Resolved.Mar 24 2017, 4:44 PM
Arlolra claimed this task.